package com.ym.mec.collectfee.entity;

import com.ym.mec.collectfee.common.page.PageInfo;

import java.math.BigDecimal;

public class OrderPageInfo<T> extends PageInfo {
    private BigDecimal amount;

    private BigDecimal tuiFeeAmount;

    private BigDecimal goodsFeeAmount;

    private BigDecimal sdFeeAmount;

    private BigDecimal commissionAmount;


    public OrderPageInfo() {
    }

    public OrderPageInfo(Integer pageNo) {
        if (pageNo == null || pageNo < 1)
            pageNo = 1;
        this.setPageNo(pageNo);
    }

    /** 构造函数 */
    public OrderPageInfo(Integer pageNo, int pageSize) {
        if (pageNo == null || pageNo < 1)
            pageNo = 1;
        this.setPageNo(pageNo);
        super.setLimit(pageSize);
        this.setOffset((pageNo - 1) * pageSize);
    }


    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public BigDecimal getTuiFeeAmount() {
        return tuiFeeAmount;
    }

    public void setTuiFeeAmount(BigDecimal tuiFeeAmount) {
        this.tuiFeeAmount = tuiFeeAmount;
    }

    public BigDecimal getGoodsFeeAmount() {
        return goodsFeeAmount;
    }

    public void setGoodsFeeAmount(BigDecimal goodsFeeAmount) {
        this.goodsFeeAmount = goodsFeeAmount;
    }

    public BigDecimal getSdFeeAmount() {
        return sdFeeAmount;
    }

    public void setSdFeeAmount(BigDecimal sdFeeAmount) {
        this.sdFeeAmount = sdFeeAmount;
    }

    public BigDecimal getCommissionAmount() {
        return commissionAmount;
    }

    public void setCommissionAmount(BigDecimal commissionAmount) {
        this.commissionAmount = commissionAmount;
    }
}
